


GSSalvageManager = new Object()
GSSalvageManager.salvage = new Object(); //Associtive array mapping salvage name to GSSalvage objects

GSSalvageManager.getSalvage = function(type)
{
	//Convert the string to lower case
	var name = type.toLowerCase();

	return this.salvage[name];
}

GSSalvageManager.addSalvage = function(type, aco)
{
	var idx = type.toLowerCase();
	if(this.salvage[idx] == null)
		this.salvage[idx] = new GSSalvage(type);
	
	this.salvage[idx].addAvailable(aco);
}

GSSalvageManager.rescan = function()
{
	var list; //The COACO 
	var acf;
	var i;
	
	GSMessage("Scanning for salvage...");
	//Erase old salvage list
	this.salvage = new Object();

	list = GSFindBags();
	
	for(i=0; i<list.Count; i++)
	{
		var item = list.Item(i);
		
		//Strip the object name to just get the type
		var start = item.szName.indexOf(" ");
		var end = item.szName.indexOf("(");
		var type = item.szName.substring(start+1, end-1);
				
		this.addSalvage(type, item);
	}
	
	/*
	for(var key in this.salvage)
	{
		var avail = this.salvage[key];
		
	} */

	GSMessage("Done.");
}

//Return a COACO of all salvage on the bot
function GSFindBags()
{
	var list; //The COACO 
	var acf;
	
	//Find salvage (items that begin with "Salvaged")
	acf = skapi.AcfNew();
	acf.szName = "Salvaged * (100)"; //NOTE: Pathwarden steel doesn't fit this.
	acf.olc = olcInventory; //Only care about salvage in our inventory
	
	//Get the sorted list 
	list = acf.CoacoGetSorted(skapi.sortbyName);

	return list;
}

//Put all salvage in the trade window
function GSShowItemsInTrade()
{
	list = GSFindBags();
	
	Self.puttingInWindow = true;
	
	for(var i=0; i<list.Count; i++)
		list.Item(i).AddToTrade();
		
	Self.puttingInWindow = false;
}