//GSMessages.js -- Messages
//Written by Buffslave II of Darktide
//Part of GarageSale Bot, under LGPL license

var LocalAdv = new Array(); //Local advertisements, if empty then disabled
var TradeAdv = new Array(); //Trade advertisements, if empty then disabled
var Greeting = new Array(); //Greeting text
var Closing = new Array();
var Location = null;

function GSInitializeMessages()
{
	var fso = new ActiveXObject("Scripting.FileSystemObject");

	//Load local advertisements
	LocalAdv = new Array();
	if(fso.FileExists("local.txt"))
	{
		GSMessage("Loading local advertisements from local.txt");
		fp = fso.OpenTextFile("local.txt", 1); // 1 <-> read only
		while(!fp.AtEndOfStream)
		{
			var line = fp.ReadLine();
		
			//Empty line?
			if(line.replace(/\s/, "").length == 0)
				continue;
			//Add to list
			LocalAdv.push(line);
		}
		fp.Close();
		fp = null;
	}
	else
		GSMessage("File local.txt does not exist, disabling local advertisements.");

	//Load /trade advertisements
	TradeAdv = new Array();
	if(fso.FileExists("trade.txt"))
	{
		GSMessage("Loading trade advertisements from trade.txt");
		fp = fso.OpenTextFile("trade.txt", 1);
		while(!fp.AtEndOfStream)
		{
			var line = fp.ReadLine();
		
			//Empty line?
			if(line.replace(/\s/, "").length == 0)
				continue;
			//Add to list
			TradeAdv.push(line);
		}
		fp.Close();
		fp = null;
	}
	else
		GSMessage("File trade.txt does not exist, disabling /trade advertisements.");
		
	//Load greetings
	Greeting = new Array();
	if(fso.FileExists("greeting.txt"))
	{
		GSMessage("Loading greeting from greeting.txt");
		fp = fso.OpenTextFile("greeting.txt", 1);
		while(fp != null && !fp.AtEndOfStream)
		{
			var line = fp.ReadLine();
			
			//Empty line?
			if(line.replace(/\s/, "").length == 0)
				continue;
			//Add to list
			Greeting.push(line);
		}
		fp.Close();
		fp = null;
	}
	else
		GSMessage("File greeting.txt does not exist, disabling greetings.");	

	//Load closing statments
	Closing = new Array();
	GSMessage("Loading closing from closing.txt");
	if(fso.FileExists("closing.txt"))
	{
		fp = fso.OpenTextFile("closing.txt", 1);
		while(fp != null && !fp.AtEndOfStream)
		{
			var line = fp.ReadLine();
			
			//Empty line?
			if(line.replace(/\s/, "").length == 0)
				continue;
			//Add to list
			Closing.push(line);
		}
		fp.Close();
		fp = null;
	}
	else
		GSMessage("File closing.txt does not exist, disabling closing statements.");	

	
	//Load location statments
	GSMessage("Loading location from location.txt");
	Location = null;
	if(fso.FileExists("location.txt"))
	{
		fp = fso.OpenTextFile("location.txt", 1);
		if(!fp.AtEndOfStream)
		{
			var line = fp.ReadLine();
			
			//Not an empty line?
			if(line.replace(/\s/, "").length != 0)
				Location = new String(line);
		}
		fp.Close();
		fp = null;
	}
}

function GSGetGreetingText()
{
	return Greeting;
}

function GSGetClosingText()
{
	return Closing;
}

function GSGetLocation()
{
	return Location;
}

function GSIsLocationEnabled()
{
	return (Location != null);
}

function GSIsLocalAdvEnabled()
{
	return (LocalAdv.length > 0);
}

function GSIsTradeAdvEnabled()
{
	return (TradeAdv.length > 0);
}

function GSGetRandomLocalAdvertisement()
{
	var k = Math.floor(Math.random() * LocalAdv.length);
	
	return LocalAdv[k];
}

function GSGetRandomTradeAdvertisement()
{
	var k = Math.floor(Math.random() * TradeAdv.length);
	
	return TradeAdv[k];
}