//GarageSale.js -- Prices and points
//Written by Buffslave II of Darktide
//Part of GarageSale Bot, under LGPL license

Self = new Object(); //Main state object

function main()
{
	//Set up event handling hooks
	GSInstallEventHooks();

	//Load prices/points array
	GSInitializePrices();
	
	//Load advertisements, greetings, etc.
	GSInitializeMessages();
	
	GSSalvageManager.rescan();

	Self.state = STATE_INACTIVE;
	Self.partner = null;
	Self.cart = new GSShoppingCart();
	Self.reindex = false;
	Self.puttingInWindow = true;
	
	var dir = 180;
	var iterations = 0;
	for(;;)
	{
	
		//Wait for an event
		skapi.WaitEvent(15000, wemFullTimeout);

		skapi.TurnToHead(dir);
		if(dir == 180)
			dir = 175;
		else
			dir = 180;
		
		if(iterations == 0)
		{
			if(GSIsLocalAdvEnabled())
			{
				skapi.Chat(chrmEmote, " is a salvage bot running GarageSale v" + GS_VERSION);
				skapi.Chat(chrmLocal, GSGetRandomLocalAdvertisement());
			}
			if(GSIsTradeAdvEnabled())
			{
				skapi.InvokeChatParser("/trade " + GSGetRandomTradeAdvertisement());
			}
		}
		
		iterations++;
		
		if(iterations >= 4*4)
			iterations = 0;

	}
	
}

//Tell a person a list of strings
function GSMultitell(aco, msgs)
{
	if(msgs == null || aco == null) 
		return;
	
	//If msgs is an Array, then it will have a length field
	if(msgs.length != null)
	{
		//Ignore this array if it has no elements, then.
		if(msgs.length == 0)
			return;
	}
	
		
	var name = aco.szName;
	
	
	for(var key in msgs)
	{
		skapi.Tell(name, msgs[key]);
		skapi.Sleep(600);
	}
}

//Tell the trading partner a message
function GSTellPartner(msg)
{
	if(Self.partner != null)
		skapi.Tell(Self.partner.szName, msg);
	
}